%define oname   gem2rpm

Name:       ruby-%{oname}
Version:    0.6.0
Release:    %mkrel 1
Summary:    Generate rpm specfiles from gems
License:    GPLv2+
Group:      Development/Ruby
URL:        http://rubyforge.org/projects/gem2rpm/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Source101:  mageia.erb
Patch0:     gem2rpm-0.6.0-use-vendor-template.patch
BuildRequires: rubygems
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Generate source rpms and rpm spec files from a Ruby Gem.  The spec file
tries to follow the gem as closely as possible

%files
%defattr(-, root, root, -)
%doc AUTHORS README LICENSE
%{_bindir}/gem2rpm
%{_sysconfdir}/%{oname}/*.erb
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%doc %{ruby_gemdir}/doc/%{oname}-%{version}/

#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p0

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

install -d %{buildroot}%{_sysconfdir}/%{oname}
install -m644 %{SOURCE101} %{buildroot}%{_sysconfdir}/%{oname}

rm -f %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/{AUTHORS,README,LICENSE}

%clean
rm -rf %{buildroot}



%changelog
* Tue Mar 29 2011 shikamaru <shikamaru> 0.6.0-1.mga1
+ Revision: 78925
- imported package ruby-gem2rpm


* Wed Mar 16 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.6.0-1
- Initial package
